| Digital Power Starter Kit 3 Firmware dsPIC33C Boost Converter Voltage Mode Control Example |

Data Fields
BOOST_CONVERTER_STATUS_s Struct Reference

`#include <power_control/devices/dev_boost_typedef.h>`

Collaboration diagram for BOOST_CONVERTER_STATUS_s:

## Data Fields
union {
volatile uint16_t value
}; |
volatile bool | ready:1
| Bit #0: status bit, indicating boost converter is initialized and ready to run. More...
volatile bool | adc_active:1
| Bit #1: indicating that ADC has been started and samples are taken. More...
volatile bool | pwm_active:1
| Bit #2: indicating that PWM has been started and ADC triggers are generated. More...
volatile | unsigned:1
| Bit #3: (reserved) More...
volatile bool | cs_calib_complete:1
| Bit #4: indicating that current sensor calibration has completed. More...
volatile bool | fault_active:1
| Bit #5: Flag bit indicating system is in enforced shut down mode (usually due to a fault condition) More...
volatile bool | suspend:1
| Bit #6: Control bit to put the converter in suspend mode (turned off while ENABLE bit is still on) More...
volatile bool | busy:1
| Bit #7: Flag bit indicating that the state machine is executing a process (e.g. startup-ramp) More...
volatile bool | cs_calib_enable:1
| Bit #8: Flag bit indicating that current sensors need to calibrated. More...
volatile bool | async_mode:1
| Bit #9: Control bit suspending the synchronous rectifier switch PWM channel. More...
volatile bool | GO:1
| Bit #13: When set, the GO-bit fires up the power supply. More...
volatile bool | autorun:1
| Bit #14: Control bit determining if charger is starting automatically or on command (using the GO bit) More...
volatile bool | enabled:1
| Bit #15: Control bit enabling/disabling the charger port. More...

## Detailed Description

Definition at line 205 of file dev_boost_typedef.h.

## Field Documentation

## ◆ @370

union { ... }

## ◆ adc_active

volatile bool adc_active

Bit #1: indicating that ADC has been started and samples are taken.

Definition at line 210 of file dev_boost_typedef.h.

## ◆ async_mode

volatile bool async_mode

Bit #9: Control bit suspending the synchronous rectifier switch PWM channel.

Definition at line 219 of file dev_boost_typedef.h.

## ◆ autorun

volatile bool autorun

Bit #14: Control bit determining if charger is starting automatically or on command (using the GO bit)

Definition at line 224 of file dev_boost_typedef.h.

## ◆ busy

volatile bool busy

Bit #7: Flag bit indicating that the state machine is executing a process (e.g. startup-ramp)

Definition at line 216 of file dev_boost_typedef.h.

## ◆ cs_calib_complete

volatile bool cs_calib_complete

Bit #4: indicating that current sensor calibration has completed.

Definition at line 213 of file dev_boost_typedef.h.

## ◆ cs_calib_enable

volatile bool cs_calib_enable

Bit #8: Flag bit indicating that current sensors need to calibrated.

Definition at line 218 of file dev_boost_typedef.h.

## ◆ enabled

volatile bool enabled

Bit #15: Control bit enabling/disabling the charger port.

Definition at line 225 of file dev_boost_typedef.h.

## ◆ fault_active

volatile bool fault_active

Bit #5: Flag bit indicating system is in enforced shut down mode (usually due to a fault condition)

Definition at line 214 of file dev_boost_typedef.h.

## ◆ GO

volatile bool GO

Bit #13: When set, the GO-bit fires up the power supply.

Definition at line 223 of file dev_boost_typedef.h.

## ◆ pwm_active

volatile bool pwm_active

Bit #2: indicating that PWM has been started and ADC triggers are generated.

Definition at line 211 of file dev_boost_typedef.h.

## ◆ ready

volatile bool ready

Bit #0: status bit, indicating boost converter is initialized and ready to run.

Definition at line 209 of file dev_boost_typedef.h.

## ◆ suspend

volatile bool suspend

Bit #6: Control bit to put the converter in suspend mode (turned off while ENABLE bit is still on)

Definition at line 215 of file dev_boost_typedef.h.

## ◆ unsigned

volatile unsigned

Bit #3: (reserved)

Bit #12: (reserved)

Bit #11: (reserved)

Bit #10: (reserved)

Definition at line 212 of file dev_boost_typedef.h.

## ◆ value

volatile uint16_t value

Definition at line 228 of file dev_boost_typedef.h.

The documentation for this struct was generated from the following file:

- dpsk_boost_vmc.X/sources/power_control/devices/dev_boost_typedef.h